# wymple11

> Short blurb about what your product does.

[![PyPI][pypi-image]][pypi-url]
[![Downloads][downloads-image]][downloads-url]
[![Status][status-image]][pypi-url]
[![Python Version][python-version-image]][pypi-url]
![PyPI - Wheel](https://img.shields.io/pypi/wheel/wymple11)
[![Requirements Status](https://requires.io/github/Stephen-RA-King/wymple11/requirements.svg?branch=main)](https://requires.io/github/Stephen-RA-King/wymple11/requirements/?branch=main)
[![tests][tests-image]][tests-url]
[![Codecov][codecov-image]][codecov-url]
[![CodeFactor](https://www.codefactor.io/repository/github/Stephen-RA-King/wymple11/badge)](https://www.codefactor.io/repository/github/Stephen-RA-King/wymple11)
[![CodeQL](https://github.com/Stephen-RA-King/wymple11/actions/workflows/codeql-analysis.yml/badge.svg)](https://github.com/Stephen-RA-King/wymple11/actions/workflows/codeql-analysis.yml)
[![readthedocs][readthedocs-image]][readthedocs-url]
[![pre-commit][pre-commit-image]][pre-commit-url]
[![Imports: isort][isort-image]][isort-url]
[![Code style: black][black-image]][black-url]
[![Checked with mypy][mypy-image]][mypy-url]
[![security: bandit][bandit-image]][bandit-url]
[![Commitizen friendly][commitizen-image]][commitizen-url]
[![Conventional Commits](https://img.shields.io/badge/Conventional%20Commits-1.0.0-yellow.svg?style=flat-square)](https://conventionalcommits.org)
[![License](https://img.shields.io/pypi/l/wymple11)][pypi-url]

One to two paragraph statement about your product and what it does.

![](assets/header.png)

## Installation

OS X & Linux:

```sh
pip3 install wymple11
```

Windows:

```sh
pip install wymple11
```

## Usage example

A few motivating and useful examples of how your product can be used. Spice this up with code blocks and potentially more screenshots.

_For more examples and usage, please refer to the [Wiki][wiki]._

## Development setup

Describe how to install all development dependencies and how to run an automated test-suite of some kind. Potentially do this for multiple platforms.

```sh
pip install --editable wymple11
```

## Documentation

[**Read the Docs**](https://wymple11.readthedocs.io/en/latest/)

## Meta

[![](assets/linkedin.png)](https://linkedin.com/in/stephen-k-3a4644210)
[![](assets/github.png)](https://github.com/Stephen-RA-King)
[![](assets/pypi.png)](https://pypi.org/project/wymple11/)
[![](assets/www.png)](https://www.Stephen-RA-King)
[![](assets/email.png)](mailto:stephen.ra.king@gmail.com)

Stephen R A King : stephen.ra.king@gmail.com

Distributed under the MIT License. See [License](LICENSE) for more information.

[https://github.com/Stephen-RA-King/wymple11](https://github.com/Stephen-RA-King/wymple11)

<!-- Markdown link & img dfn's -->

[pypi-url]: https://pypi.org/project/wymple11/
[pypi-image]: https://img.shields.io/pypi/v/wymple11.svg
[downloads-image]: https://static.pepy.tech/personalized-badge/wymple11?period=total&units=international_system&left_color=black&right_color=orange&left_text=Downloads
[downloads-url]: https://pepy.tech/project/wymple11
[status-image]: https://img.shields.io/pypi/status/wymple11.svg
[python-version-image]: https://img.shields.io/pypi/pyversions/wymple11
[tests-image]: https://github.com/Stephen-RA-King/wymple11/actions/workflows/tests.yml/badge.svg
[tests-url]: https://github.com/Stephen-RA-King/wymple11/actions/workflows/tests.yml
[codeql-image]: https://github.com/Stephen-RA-King/wymple11/actions/workflows/codeql-analysis.yml/badge.svg
[codeql-url]: https://github.com/Stephen-RA-King/wymple11/actions/workflows/codeql-analysis.yml
[codecov-image]: https://codecov.io/gh/Stephen-RA-King/wymple11/branch/main/graph/badge.svg
[codecov-url]: https://app.codecov.io/gh/Stephen-RA-King/wymple11
[license]: https://github.com/Stephen-RA-King/wymple11/blob/main/LICENSE
[licence-image]: https://img.shields.io/pypi/l/wymple11
[commitizen-image]: https://img.shields.io/badge/commitizen-friendly-brightgreen.svg
[commitizen-url]: http://commitizen.github.io/cz-cli/
[readthedocs-image]: https://readthedocs.org/projects/wymple11/badge/?version=latest
[readthedocs-url]: https://wymple11.readthedocs.io/en/latest/?badge=latest
[pre-commit-image]: https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white
[pre-commit-url]: https://github.com/pre-commit/pre-commit
[isort-image]: https://img.shields.io/badge/%20imports-isort-%231674b1?style=flat&labelColor=ef8336
[isort-url]: https://pycqa.github.io/isort/
[black-image]: https://img.shields.io/badge/code%20style-black-000000.svg
[black-url]: https://github.com/psf/black
[bandit-image]: https://img.shields.io/badge/security-bandit-yellow.svg
[bandit-url]: https://github.com/PyCQA/bandit
[mypy-image]: http://www.mypy-lang.org/static/mypy_badge.svg
[mypy-url]: http://mypy-lang.org/
[wiki]: https://github.com/Stephen-RA-King/wymple11/wiki
